Subject: Re: bug#52235: 29.0.50; Suggestion: refactor time.el into a more general 'clock' framework

From: Arthur Miller <[email-masked]>
Date: Thu, 02 Dec 2021 10:28:01 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Arthur Miller <[email-masked]> writes:
>
>> My idea to per-use it is to simply run 'update-hooks' on clock beat,
>> so any application can register a hook that will be called on a "clock
>> beat". While it is maybe not so super-synchronized with system clock,
>> it still gives impression of clocks in Emacs be synchronized.
>
> If I understand correctly, by "clock beat" you mean an integer multiple
> of some time?
I am not sure if we speak about same thing; but I mean the clock, synchronized
with what Emacs shows as time.

Also there is no read to run several timers when one timer could
be fine to run several hooks as well as saving some code repetition.

> was fixed a few months ago (in 50765f3f) with TIME:
>
> - or t (with non-nil REPEAT) meaning the next integral
>   multiple of REPEAT.